%global fontname eosrei-emojione

Name:           %{fontname}-fonts
Version:        1.0
Release:        3%{?dist}
Summary:        A color emoji font

# Note, the link below is the last "Android" build of the EmijoOne font
# with CC-BY-4.0 assets. Do not update to a newer version.
#
# This package should eventually be replaced by a build of this font:
# https://github.com/EmojiTwo/emojitwo
License:        CC-BY-4.0
URL:            https://github.com/eosrei/emojione-color-font
# From https://github.com/emojione/emojione/blob/693a9705f60efd566e40a5c9ec00ca306c9bcbd0/extras/fonts/emojione-android.ttf
Source0:        emojione-android.ttf

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
A color and B&W emoji font built primarily from Emoji One artwork with
support for ZWJ, skin tone modifiers and country flags.

Regular B&W outline emoji are included for backwards/fallback compatibility.

It was created by Brad Erickson.

%prep
%setup -q -T -c

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p %{SOURCE0} %{buildroot}%{_fontdir}/

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

%_font_pkg emojione-android.ttf

%changelog
* Wed Aug 30 2017 Bastien Nocera <bnocera@redhat.com> - 1.0-3
- Remove ".conf" file, the same information will be in fontconfig > 2.12.4

* Fri Jun 30 2017 Bastien Nocera <bnocera@redhat.com> - 1.0-2
- Update to latest android build of the font with the same CC-BY-4.0 license
- Add link to potential successor

* Mon Apr 11 2016 Bastien Nocera <hadess@hadess.net> - 1.0-1
- Initial package
